/****************************************************************
   Mesure temperure by three DS18B20 thermometers

   This program is based on the following article
   Nicholas Jarpa: Arduino& Labview With 2 DS18B20
   https://www.instructables.com/Arduino-Labview-With-2-DS18B20/

 ***************************************************************/
#include <OneWire.h>
#include <DallasTemperature.h>

#define ONE_WIRE_BUS 4   // Data to Arduino pin 2
OneWire oneWire(ONE_WIRE_BUS);
DallasTemperature sensors(&oneWire);

void setup(void) {
  Serial.begin(9600);
  sensors.begin();       // Start up the library
}


void loop(void) {
  sensors.requestTemperatures();
  String temp1 = String(sensors.getTempCByIndex(0),2);
  String temp2 = String(sensors.getTempCByIndex(1),2);
  String temp3 = String(sensors.getTempCByIndex(2),2);
  String buffer = "A"+temp1+"B"+temp2+"C"+temp3;
  Serial.println(buffer);
}
